Subject: bug#55970: 29.0.50; Emacs crashes when dragging the scroll bar with "--with-pgtk" and "--without-toolkit-scroll-bars" configure flags

From: Po Lu <[email-masked]>
Date: Wed, 15 Jun 2022 08:56:57 +0800

समीर सिंह Sameer Singh <[email-masked]> writes:

> I don't know whether these two features are meant to be used together, but I still felt the need to report a potential bug.
>
> Recipe to reproduce:
> 1. './configure --with-pgtk --without-toolkit-scroll-bars --enable-checking=yes,glyphs --enable-check-lisp-object-type 'CFLAGS=-O0 -g3''
> 2. emacs -Q
> 3. Drag the scrollbar or click on the scroll area where the scrollbar is not present
> 4. emacs crashes
>
> I have attached the gdb output, if something is missing please tell me.
> Thank You.

I thought that was already fixed, in that you cannot use
--without-toolkit-scroll-bars on PGTK, since the code required to
support non-toolkit scroll bar events isn't present.

Is your configure by any chance out-of-date?